Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.activities
Interface IActivity

All Superinterfaces:
  Comparable

public interface IActivity
extends Comparable

An instance of this interface is an activity as defined by the extension point `org.eclipse.ui.activities`.

An instance of this interface can be obtained from an instance of `IActivityManager` for any identifier, whether or not an activity with that identifier is defined in the extension registry.

The handle-based nature of this API allows it to work well with runtime plugin activation and deactivation, which can cause dynamic changes to the extension registry. A client may get an `IActivity` handle that is currently undefined (`isDefined()` equals `false`) and listen for it to become defined.

This interface is not intended to be extended or implemented by clients.

Since:
  3.0
See Also:
  `IActivityManager`

Method Summary
`void` | `addActivityListener(IActivityListener activityListener)` Registers an instance of `IActivityListener` to listen for changes to properties of this instance.
`Set` | `getActivityPatternBindings()` Returns the set of activity pattern bindings for this instance.
`Set` | `getActivityRequirementBindings()` Returns the set of activity activity bindings for this instance.
`String` | `getDescription()` Returns the description of this instance suitable for display to the user.
`String` | `getId()` Returns the identifier of this instance.
`String` | `getName()` Returns the name of this instance suitable for display to the user.
`boolean` | `isDefined()` Returns whether or not this instance is defined.
`boolean` | `isEnabled()` Returns whether or not this instance is enabled.
`void` | `removeActivityListener(IActivityListener activityListener)` Removes an instance of `IActivityListener` listening for changes to properties of this instance.

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### addActivityListener

    public void addActivityListener(IActivityListener activityListener)

  Registers an instance of `IActivityListener` to listen for changes to properties of this instance.

  Parameters:
    `activityListener` - the instance to register. Must not be `null`. If an attempt is made to register an instance which is already registered with this instance, no operation is performed.

### getActivityRequirementBindings

    public Set getActivityRequirementBindings()

  Returns the set of activity activity bindings for this instance.

  This method will return all activity activity bindings for this instance, whether or not this instance is defined.

  Notification is sent to all registered listeners if this property changes.

  Returns:
    the set of activity activity bindings. This set may be empty, but is guaranteed not to be `null`. If this set is not empty, it is guaranteed to only contain instances of `IActivityRequirementBinding`.
  See Also:
    `IActivityRequirementBinding`

### getActivityPatternBindings

    public Set getActivityPatternBindings()

  Returns the set of activity pattern bindings for this instance.

  This method will return all activity pattern bindings for this instance, whether or not this instance is defined.

  Notification is sent to all registered listeners if this property changes.

  Returns:
    the set of activity pattern bindings. This set may be empty, but is guaranteed not to be `null`. If this set is not empty, it is guaranteed to only contain instances of `IActivityPatternBinding`.
  See Also:
    `IActivityPatternBinding`

### getId

    public String getId()

  Returns the identifier of this instance.

  Returns:
    the identifier of this instance. Guaranteed not to be `null`.

### getName

    public String getName()
                   throws NotDefinedException

  Returns the name of this instance suitable for display to the user.

  Notification is sent to all registered listeners if this property changes.

  Returns:
    the name of this instance. Guaranteed not to be `null`.
  Throws:
    `NotDefinedException` - if this instance is not defined.

### getDescription

    public String getDescription()
                          throws NotDefinedException

  Returns the description of this instance suitable for display to the user.

  Notification is sent to all registered listeners if this property changes.

  Returns:
    the description of this instance. Guaranteed not to be `null`.
  Throws:
    `NotDefinedException` - if this instance is not defined.

### isDefined

    public boolean isDefined()

  Returns whether or not this instance is defined. A defined activity may have a name, description and bindings (both pattern and relational).

  Notification is sent to all registered listeners if this property changes.

  Returns:
    `true`, iff this instance is defined.

### isEnabled

    public boolean isEnabled()

  Returns whether or not this instance is enabled.

  Notification is sent to all registered listeners if this property changes.

  Returns:
    `true`, iff this instance is enabled.

### removeActivityListener

    public void removeActivityListener(IActivityListener activityListener)

  Removes an instance of `IActivityListener` listening for changes to properties of this instance.

  Parameters:
    `activityListener` - the instance to remove. Must not be `null`. If an attempt is made to remove an instance which is not already registered with this instance, no operation is performed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.